- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

List of all members
mysqlpp::CompressOption Class Reference

Enable data compression on the connection. More...

`#include <options.h>`

Inheritance diagram for mysqlpp::CompressOption:
[legend]
Collaboration diagram for mysqlpp::CompressOption:
[legend]

## Additional Inherited Members
Public Types inherited from mysqlpp::Option
enum | Error { err_NONE, err_api_limit, err_api_reject, err_connected, err_disconnected }
| Types of option setting errors we can diagnose. More...
Public Member Functions inherited from mysqlpp::Option
virtual | ~Option ()
| Destroy object.
virtual Error | set (DBDriver *dbd)=0
| Apply option.

## Detailed Description

Enable data compression on the connection.

The documentation for this class was generated from the following file:

- options.h